<template>
  <div class="app flex-row align-items-center animated fadeIn">
    <div class="container">
      <b-row class="justify-content-center">
        <b-col md="8">
          <b-card-group>
            <b-card no-body class="p-4">
              <b-card-body>
                <b-form>
                  <h1>Đăng nhập</h1>
                  <p class="text-muted">Đăng nhập vào hệ thống</p>
                  <b-input-group class="mb-3">
                    <b-input-group-prepend><b-input-group-text><i class="icon-user"></i></b-input-group-text></b-input-group-prepend>
                    <b-form-input type="email" class="form-control" placeholder="email" autocomplete="email" v-model="email" required/>
                  </b-input-group>
                  <b-input-group class="mb-4">
                    <b-input-group-prepend><b-input-group-text><i class="icon-lock"></i></b-input-group-text></b-input-group-prepend>
                    <b-form-input type="password" class="form-control" placeholder="Password" autocomplete="current-password" v-model="password" required/>
                  </b-input-group>
                  <b-row>
                     <p v-if="show_msg" :class="msg_class">{{ msg }}</p>
                    <b-col cols="6">
                      <b-button variant="primary" type="submit" class="px-4" @click.prevent="login()">Đăng nhập</b-button>
                    </b-col>
                    <!-- <b-col cols="6" class="text-right">
                      <b-button variant="link" class="px-0">Forgot password?</b-button>
                    </b-col> -->
                  </b-row>
                </b-form>
              </b-card-body>
            </b-card>
            <b-card no-body class="text-white bg-primary py-5 d-md-down-none" style="width:44%">
              <b-card-body class="text-center">
                <div>
                  <h2>MTK.COM.VN</h2>
                  <p>HỆ THỐNG QUẢN LÝ GIAO DỊCH</p>
                  <a href="http://mtk.com.vn"><b-button variant="primary" class="active mt-3">Trang chủ</b-button></a>
                </div>
              </b-card-body>
            </b-card>
          </b-card-group>
        </b-col>
      </b-row>
    </div>
  </div>
</template>


<script>
import {event} from '@/utils'
  export default {
    data(){
      return {
        email: '',
        password: '',
        show_msg: false,
        msg:'',
        msg_class:''
      }
    },
    methods: {
      login: function () {
        this.msg = '';
        let email = this.email
        let password = this.password
        this.$store.dispatch('login', {
            email,
            password
          })
          .then(() => {
            this.show_msg = true
             this.msg = "Đăng nhập thành công! Đang chuyển đến trang chính..."
             this.msg_class = "text-success"
             event.emit('login');
             this.$router.push('/')
          })
          .catch(err => {
         //   console.log(err);
            this.show_msg = true
            this.msg_class = "text-danger"
            if(err.status == 422)
            {
              this.msg = "Vui lòng nhập email và mật khẩu hợp lệ."
            }else{
            this.msg = err.data.message;
            }
            //console.log(err);

            // switch(err.response){
            //   case 422:
            //     return this.msg = "Vui lòng nhập email và mật khẩu"
            //   case 401:
            //     return this.msg = "Thông tin đăng nhập không chính xác"
            //   case 500:
            //     return this.msg = "Lỗi 500: Server got errors"
            //   case 407:
            //     return this.msg = "Tài khoản đã bị khóa"
            //   default:
            //     return this.msg = "Mã lỗi: "+err.toString()

            // }

          })


      }
    }
  } 
</script>

